// Extensions pages can all have access to the background page.
var bkg = chrome.extension.getBackgroundPage();
// When the DOM is loaded, make sure all the saved info is restored.
//window.addEventListener('load', onLoad, false);
var dialog = null;

/**
 * When the options window has been loaded.
 */
function onLoad() {
    onRestore();
    document.getElementById('button-save').addEventListener('click', onSave, false);
}

/**
 *  When the options window is closed;
 */
function onClose() {
    window.close();
}

/**
 * Saves options to localStorage.
 */
function onSave() {
    var stealthy_type = $('input[name=stealthy_type]:checked').val();
    var countryIdValue = $("#countryID").val();
    //console.log("stealthy_type: "+stealthy_type)
    if (2 == stealthy_type && !countryIdValue.trim()) {
        alert('The option "Specific country" requires to select a country from the list');
        return false;
    }

    bkg.settings.stealthy_type = stealthy_type;
    bkg.settings.countryID = countryIdValue;
    bkg.settings.blockads = document.getElementById('blockads').checked;
    bkg.settings.autostart = document.getElementById('autostart').checked;

    //hacer q se vuelva a hacer la getProxiesFromServer!
    bkg.ProxyController.intentos = 0;
    // Check if the status of the proxy server is online, if so, refresh it.
    if (bkg.proxyController.isProxyActive()) {
        bkg.proxyController.setProxyEnabled(true);
    }
    // Update status to let user know options were saved.

    var info = document.getElementById('info-message');
    info.style.display = 'inline';
    info.style.opacity = 1;
    setTimeout(function () {
        info.style.opacity = 0.0;
    }, 5000);

}

/**
 * Restore all options.
 */
function onRestore() {
    document.getElementById('autostart').checked = bkg.settings.autostart;
    document.getElementById('blockads').checked = bkg.settings.blockads;

    switch (parseInt(bkg.settings.stealthy_type)) {
        // 	case 1:
        // 		document.getElementById('usa').checked = true;
        // 		break;
        case 2:
            document.getElementById('custom').checked = true;
            document.getElementById('countryID').value = bkg.settings.countryID;
            //document.getElementById('imgBanner').style.display="inline";
            break;
        case 3:
            document.getElementById('pro').checked = true;
            break;
        case 4:
            document.getElementById('proUK').checked = true;
            break;
        case 5:
            document.getElementById('proDE').checked = true;
            break;
        case 6:
            document.getElementById('proJP').checked = true;
            break;
        default:
            //0 or null
            document.getElementById('normal').checked = true;
            //document.getElementById('imgBanner').style.display="inline";
            break;
    }

    //$('input[name=stealthy_type]:checked').val(bkg.settings.stealthy_type);
    //$("#countryID").val(parseInt(bkg.settings.stealthy_type));

    $("input[type='radio']").checkboxradio("refresh");
    $("input[type='checkbox']").checkboxradio("refresh");
}
